Lucid rhythmbox causes Firefly to die on Netgear NAS

Bug #555736 reported by Neil Wilson on 2010-04-05
62
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Rhythmbox
Invalid
Undecided
Unassigned
Nominated for 0.10 by Joze Castellano
Nominated for Main by Carl
rhythmbox (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: rhythmbox

The Lucid version of rhythmbox kills the DAAP Firefly server on a Netgear ReadyDuo NAS with a:

2010-04-05 13:17:57 (0019c004): Thread 99: Out of memory

error when trying to play a track. This doesn't happen with the Karmic version of Rhythmbox.

Both versions appear to download the directory correctly.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: rhythmbox 0.12.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic x86_64
Architecture: amd64
Date: Mon Apr 5 14:47:08 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: rhythmbox

Neil Wilson (neil-aldur) wrote :
Neil Wilson (neil-aldur) wrote :

Lucid GET request is.

GET /databases/1/items/681.mp3?session-id=1 HTTP/1.1
Host: 192.168.2.3:3689
Connection: close
transferMode.dlna.org: Streaming
Accept: */*
Cache-Control: no-cache
Accept-Language: en-us, en;q=5.0
Client-DAAP-Access-Index: 2
Client-DAAP-Version: 3.0
Client-DAAP-Validation: 364547D8EBD2BBD8DA109E6C98278D9A
Client-DAAP-Request-ID: 1
Connection: close
User-Agent: GStreamer souphttpsrc libsoup/2.30.0

Neil Wilson (neil-aldur) wrote :

Karmic GET request is:
GET /databases/1/items/681.mp3?session-id=1 HTTP/1.1
Host: 192.168.2.3:3689
Accept: */*
Cache-Control: no-cache
User-Agent: iTunes/4.6 (Windows; N)
Accept-Language: en-us, en;q=5.0
Client-DAAP-Access-Index: 2
Client-DAAP-Version: 3.0
Client-DAAP-Validation: 364547D8EBD2BBD8DA109E6C98278D9A
Client-DAAP-Request-ID: 1
Connection: close

Neil Wilson (neil-aldur) wrote :

From the firefly trace

2010-04-05 14:12:49 (00068004): Thread 22: Read: Connection: close

2010-04-05 14:12:49 (00068004): Thread 22: Adding header *Connection=close*

2010-04-05 14:12:49 (00068004): Updating Connection from close to close

2010-04-05 14:12:49 (00068004): Thread 22: Out of memory

2010-04-05 14:12:49: Aborting

I suspect the duplicated Connection header in the Lucid GET request is causing Firefly to die.

Yes Firefly should be more robust, but this is on a Netgear NAS and users will expect the Netgear to be right and Ubuntu to be wrong.

Pedro Villavicencio (pedro) wrote :

This bug is an upstream one and it would be quite helpful if somebody experiencing it could send the bug the to the people writing the software. You can learn more about how to do this for various upstreams at https://wiki.ubuntu.com/Bugs/Upstream/GNOME . Thanks in advance!

Changed in rhythmbox (Ubuntu):
importance: Undecided → Low
pvanderploeg (pieter-nescio) wrote :

rhythmbox on lucid (mainline rc6 kernel). when i try to play a song from my mt-daap server running on my lan on an ubuntu hardy server, the daap service (running on port 3689) dies. The daap server does show up in rhythmbox initially.

pvanderploeg (pieter-nescio) wrote :

addition to #6: the logfile of tye mt-daapd server (on ubuntu 8.04) that crashes when lucid-rhythmbox tries to play a song from it.
-----------------------------------------------------------------
2010-05-09 14:34:46 (b74956c0): Firefly Version svn-1696: Starting with debuglevel 2
2010-05-09 14:34:46 (b74956c0): Error loading plugin /usr/lib/mt-daapd/plugins/ssc-script.so: plugin declined to load
2010-05-09 14:34:46 (b74956c0): Plugin loaded: ssc-ffmpeg/svn-1696
2010-05-09 14:34:46 (b74956c0): Plugin loaded: rsp/svn-1696
2010-05-09 14:34:46 (b74956c0): Plugin loaded: daap/svn-1696
2010-05-09 14:34:46 (b74956c0): Starting rendezvous daemon
2010-05-09 14:34:46 (b74956c0): Starting signal handler
2010-05-09 14:34:46 (b74956c0): Initializing database
2010-05-09 14:34:46 (b74956c0): Starting web server from /usr/share/mt-daapd/admin-root on port 3689
2010-05-09 14:34:46 (b74956c0): Registering rendezvous names
2010-05-09 14:34:46 (b74956c0): Serving 15 songs. Startup complete in 0 seconds
2010-05-09 14:42:34 (b744bb90): Unknown meta code: daap.daap.songgenre
2010-05-09 14:42:37 (b6449b90): Thread 95: Out of memory
2010-05-09 14:42:37: Aborting
2010-05-09 14:42:37 (b6c4ab90): Rendezvous socket closed (daap server crashed?) Aborting.
2010-05-09 14:42:37: Aborting
------------------------------------------------

Marly (cerri-marcello) wrote :

Same error here, log follows:
2010-05-15 15:15:57 (00000c03): Unknown meta code: daap.daap.songgenre
2010-05-15 15:16:03 (00001004): Thread 1: Out of memory
2010-05-15 15:16:03: Aborting
2010-05-15 15:16:03 (00000400): Rendezvous socket closed (daap server crashed?) Aborting.
2010-05-15 15:16:03: Aborting

This on a Firefly server running on a ddwrt v24sp2 router, daap client rhythembox 0.12.8 that comes with lucid

pvanderploeg (pieter-nescio) wrote :

I posted the problem as Pedro Villavicencio #5 suggested.
see https://bugzilla.gnome.org/show_bug.cgi?id=619309
but the response seems to indicate a bounce between mt-daapd and rhythmbox development.

pvanderploeg (pieter-nescio) wrote :

the bug report (see https://bugzilla.gnome.org/show_bug.cgi?id=619309) has been closed, I think because it is not considered to be a rhythmbox bug, but a mt-daap problem instead. Now what do we do??

pvanderploeg (pieter-nescio) wrote :

I tried Amarok on Ubuntu Lucid. Works like a charm en does not kill the mt-daapd server. Take care to install extra package (sudo apt-get install libxine1-ffmpeg workied in my case) to allow for mp3 playback.

pvanderploeg (pieter-nescio) wrote :

See see https://bugzilla.gnome.org/show_bug.cgi?id=619309
Jonathan Matthew has been so kind as to remove the extra Connection header from Rhythmbox that seems to cause mt-daapd to crash. Perfect. I presume the new Rhythmbox version will show up downstream in Ubuntu Lucid.

Pedro Villavicencio (pedro) wrote :
Changed in rhythmbox:
importance: Undecided → Unknown
status: New → Unknown
Changed in rhythmbox (Ubuntu):
status: New → Fix Committed
Changed in rhythmbox:
status: Unknown → Invalid
pvanderploeg (pieter-nescio) wrote :

Help please. Can anyone tell me what I should do next to solve the Rhythmbox/mt-daapd problem on my Lucid laptop? Should I just wait until the fix is part of a next update of Lucid?

Joze Castellano (jozechu) wrote :

Anyone can tell when are we getting this? Maybe activating some development PPA?

Thanks

I upgraded my 8.04 server with mt-daapd to 10.04 and guess what.. rhythmbox
on my 10.04 laptop does NOT crash mt-daapd running on mu 10.04 server.

2010/9/9 Joze Castellano <email address hidden>

> Anyone can tell when are we getting this? Maybe activating some
> development PPA?
>
> Thanks
>
> --
> Lucid rhythmbox causes Firefly to die on Netgear NAS
> https://bugs.launchpad.net/bugs/555736
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Rhythmbox Music Management Application: Invalid
> Status in “rhythmbox” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: rhythmbox
>
> The Lucid version of rhythmbox kills the DAAP Firefly server on a Netgear
> ReadyDuo NAS with a:
>
> 2010-04-05 13:17:57 (0019c004): Thread 99: Out of memory
>
> error when trying to play a track. This doesn't happen with the Karmic
> version of Rhythmbox.
>
> Both versions appear to download the directory correctly.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: rhythmbox 0.12.8-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic x86_64
> Architecture: amd64
> Date: Mon Apr 5 14:47:08 2010
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_GB.utf8
> SHELL=/bin/bash
> SourcePackage: rhythmbox
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/rhythmbox/+bug/555736/+subscribe
>

Joze Castellano (jozechu) wrote :

Im using a mt-daap ARM version for Etrayz (using a gentoo distro)

I updated my PPAs List to point to the development PPA of RhythmBox (0.13.1 currently)
Where its supposed to be a fix for these ... but it still crash.

What exactly did u do?

Joze Castellano (jozechu) wrote :

Confirming that RhythmBox 0.13.1 still Shuts down the FireFly server.

2010-09-11 16:16:50 (41a8d490): Thread 4:
2010-09-11 16:16:50 (41a8d490): Request: GET /databases/1/items/27.mp3?session-id=1 HTTP/1.1
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Host: 192.168.1.253:3689
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Host=192.168.1.253:3689*
2010-09-11 16:16:50 (41a8d490): Added *Host=192.168.1.253:3689*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Connection: close
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Connection=close*
2010-09-11 16:16:50 (41a8d490): Added *Connection=close*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: transferMode.dlna.org: Streaming
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *transferMode.dlna.org=Streaming*
2010-09-11 16:16:50 (41a8d490): Added *transferMode.dlna.org=Streaming*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Accept: */*
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Accept=*/**
2010-09-11 16:16:50 (41a8d490): Added *Accept=*/**
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Cache-Control: no-cache
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Cache-Control=no-cache*
2010-09-11 16:16:50 (41a8d490): Added *Cache-Control=no-cache*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Accept-Language: en-us, en;q=5.0
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Accept-Language=en-us, en;q=5.0*
2010-09-11 16:16:50 (41a8d490): Added *Accept-Language=en-us, en;q=5.0*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Client-DAAP-Access-Index: 2
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Client-DAAP-Access-Index=2*
2010-09-11 16:16:50 (41a8d490): Added *Client-DAAP-Access-Index=2*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Client-DAAP-Version: 3.0
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Client-DAAP-Version=3.0*
2010-09-11 16:16:50 (41a8d490): Added *Client-DAAP-Version=3.0*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Client-DAAP-Validation: 340F2B1523AD6341E97F822D36FE76E6
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Client-DAAP-Validation=340F2B1523AD6341E97F822D36FE76E6*
2010-09-11 16:16:50 (41a8d490): Added *Client-DAAP-Validation=340F2B1523AD6341E97F822D36FE76E6*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Client-DAAP-Request-ID: 1
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Client-DAAP-Request-ID=1*
2010-09-11 16:16:50 (41a8d490): Added *Client-DAAP-Request-ID=1*
2010-09-11 16:16:50 (41a8d490): Thread 4: Read: Connection: close
2010-09-11 16:16:50 (41a8d490): Thread 4: Adding header *Connection=close*
2010-09-11 16:16:50 (41a8d490): Updating Connection from close to close
2010-09-11 16:16:50 (41a8d490): Thread 4: Out of memory
2010-09-11 16:16:50: Aborting
2010-09-11 16:16:50 (4001def0): Processing rendezvous message
2010-09-11 16:16:50 (4001def0): Rendezvous socket closed (daap server crashed?) Aborting.
2010-09-11 16:16:50: Aborting

pvanderploeg (pieter-nescio) wrote :

@Joe Castellano Old situation: Rhythmbox on laptop with desktop Ubuntu
10.04.1, upgraded from 10.04, and mt-daapd on (Virtual) server running
Ubuntu server 8.04.3. I did nothing special to Rhythmbox. Installed 10.04.
in may, ran into the problem of Rhythmbox crashing the mt-daapd server on
8.04.3 server. Waited until 10.04.1 was released, upgraded the laptop from
10.04 to 10.04.1 and noticed that the problem with mt-daapd still existed.
Then in the last week of august I upgraded (dist upgrade) the 8.04.3 server
to the then current 10.04(01) server. Possibly that changed the mt-daapd
version too, I dont know. What I do know is that Rhythmbox on 10.04.1 does
not crash the mt-daapd anymore.

Regards
Pieter

2010/9/11 Joze Castellano <email address hidden>

> Im using a mt-daap ARM version for Etrayz (using a gentoo distro)
>
> I updated my PPAs List to point to the development PPA of RhythmBox (0.13.1
> currently)
> Where its supposed to be a fix for these ... but it still crash.
>
> What exactly did u do?
>
> --
> Lucid rhythmbox causes Firefly to die on Netgear NAS
> https://bugs.launchpad.net/bugs/555736
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Rhythmbox Music Management Application: Invalid
> Status in “rhythmbox” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: rhythmbox
>
> The Lucid version of rhythmbox kills the DAAP Firefly server on a Netgear
> ReadyDuo NAS with a:
>
> 2010-04-05 13:17:57 (0019c004): Thread 99: Out of memory
>
> error when trying to play a track. This doesn't happen with the Karmic
> version of Rhythmbox.
>
> Both versions appear to download the directory correctly.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: rhythmbox 0.12.8-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic x86_64
> Architecture: amd64
> Date: Mon Apr 5 14:47:08 2010
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_GB.utf8
> SHELL=/bin/bash
> SourcePackage: rhythmbox
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/rhythmbox/+bug/555736/+subscribe
>

Joze Castellano (jozechu) wrote :

Thinks that the Fix has not being released...so eager of me;)

pvanderploeg (pieter-nescio) wrote :

agree. the fix to Rhythmbox seems not to have been released. But something
did change, cause my mt-daapd does not crash anymore. So what was it? Ubuntu
server, from 8.04 to 10.04? mt-daapd on Ubuntu 10.04 versus 8.04? Or... ..
rhythmbox after all?? I honestly dont know...
regards
pieter

2010/9/11 Joze Castellano <email address hidden>

> Thinks that the Fix has not being released...so eager of me;)
>
> --
> Lucid rhythmbox causes Firefly to die on Netgear NAS
> https://bugs.launchpad.net/bugs/555736
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Rhythmbox Music Management Application: Invalid
> Status in “rhythmbox” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: rhythmbox
>
> The Lucid version of rhythmbox kills the DAAP Firefly server on a Netgear
> ReadyDuo NAS with a:
>
> 2010-04-05 13:17:57 (0019c004): Thread 99: Out of memory
>
> error when trying to play a track. This doesn't happen with the Karmic
> version of Rhythmbox.
>
> Both versions appear to download the directory correctly.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: rhythmbox 0.12.8-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic x86_64
> Architecture: amd64
> Date: Mon Apr 5 14:47:08 2010
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_GB.utf8
> SHELL=/bin/bash
> SourcePackage: rhythmbox
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/rhythmbox/+bug/555736/+subscribe
>

Joze Castellano (jozechu) wrote :

Did u already mention mt-daap version are u using?

pvanderploeg (pieter-nescio) wrote :

@Joze Castellano The mt-daap version running on 10.04 server is svn-1696,
or so it says on my internal website http://192.168.2.94:3689
Is that what you mean?

2010/9/12 Joze Castellano <email address hidden>

> Did u already mention mt-daap version are u using?
>
> --
> Lucid rhythmbox causes Firefly to die on Netgear NAS
> https://bugs.launchpad.net/bugs/555736
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Rhythmbox Music Management Application: Invalid
> Status in “rhythmbox” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: rhythmbox
>
> The Lucid version of rhythmbox kills the DAAP Firefly server on a Netgear
> ReadyDuo NAS with a:
>
> 2010-04-05 13:17:57 (0019c004): Thread 99: Out of memory
>
> error when trying to play a track. This doesn't happen with the Karmic
> version of Rhythmbox.
>
> Both versions appear to download the directory correctly.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: rhythmbox 0.12.8-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic x86_64
> Architecture: amd64
> Date: Mon Apr 5 14:47:08 2010
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
> ProcEnviron:
> PATH=(custom, user)
> LANG=en_GB.utf8
> SHELL=/bin/bash
> SourcePackage: rhythmbox
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/rhythmbox/+bug/555736/+subscribe
>

Joze Castellano (jozechu) wrote :

Yep ... Im using that version too ...

Well, cannot understand, maybe its only related to arm based servers.
Let's see when the finally release this fix(hopefully soon)

;)
Cheers,
J.

Changed in rhythmbox:
importance: Unknown → Medium
status: Invalid → Unknown
mlaverdiere (mlaverdiere) wrote :

Just want to share my experience on some particular points:

- Rhythmbox on Lucid makes Firefly installed on my ARM server crashed, but *NOT* my other Firefly installed on another Pentium server

- Banshee works well with both servers

- Some fellows on the upstream Rhythmbox bug report (https://bugzilla.gnome.org/show_bug.cgi?id=619309) points out that the bug should be resolved in Firefly (mt-daapd) itself, but that the project seems to be inactive since a while (2007). While that seems to be true, please note that there is some recent activity in a fork-based Firefly project: http://git.debian.org/?p=users/jblache/forked-daapd.git

Charles Hudak (chudak) wrote :

Fresh install of 10.04 with all updates and this is happening to me as well. I can connect to my DAAP share on my ReadyNAS from 9.04 fine but as soon as I connect with my new 10.04 machine it crashes the DAAP Server on the ReadyNAS.

Not Rob Loach (robloach-gmail) wrote :

Persistent in Ubuntu 10.10 Maverick as well.

Changed in rhythmbox (Ubuntu):
status: Fix Committed → Incomplete
Joze Castellano (jozechu) wrote :

Confirm Rob, still in 10.10

Marco_E (marco-ertel) wrote :

Hi,
I also have the problem that firefly (on Windows Vista) crashes when accessing with Rhythmbox from 10.10.
Can somebody tell me how to get a fixed version of rhythmbox (yes I know that firefly should be fixed- but the project seems to be dead and there is no alternative on Windows where my server at the moment resides)

Thanks a lot!
Marco

pvanderploeg (pieter-nescio) wrote :

Hi Marco
I had the same problem, but my firefly runs on Linux (ubuntu). I did not
succeed in getting a new rhythmbox version.
Upgrading the server to ubuntu 10.04 and then reinstalling mt-daap solved
the problem. Perhaps you could run mt-daap in ubuntu in VirtualBox on Vista

Victor Vargas (kamus) wrote :

Please could somebody confirm is this behaviour is still occurring with latest release included in Ubuntu Maverick? Thanks

Redders (redders) wrote :

Kamus, I can confirm that this is still an issue in 10.10.
I am using the ARM version of Firefly, on a Netgear Stora NAS.
I can also confirm that it all appears to work well from Banshee.

I do face the same issue.
It works on Fedora 14, whether I use the live cd or an updated install. Persistence/self-discovery goes out of order on the fedora updated system, but on Ubuntu 10.04.1/2 or 10.10 Rhythmbox kills Firefly on my Lacie NAS (arm). This does not happen when I connect Ubuntu to a Debian squeeze mt-daapd server.
This leads me to think that the arm Firefly-killing is Ubuntu's deed ; I'll try to remove all the ubuntuone stuff to see if there is a conflict there.

Thank you for taking the time to report this bug and helping to make Ubuntu better. We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. There have been many changes in Ubuntu since that time you reported the bug and your problem may have been fixed with some of the updates. It would help us a lot if you could test it on a currently supported Ubuntu version. When you test it and it is still an issue, kindly upload the updated logs by running apport-collect <bug #> and any other logs that are relevant for this particular issue.

dino99 (9d9) wrote :

This version has expired

Changed in rhythmbox:
importance: Medium → Undecided
status: Unknown → New
Changed in rhythmbox (Ubuntu):
status: Incomplete → Invalid
Changed in rhythmbox:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.